Make WordPress Core

Opened 4 years ago

Closed 4 years ago

#18252 closed defect (bug) (duplicate)

Browse happy tells IE8 on XP users to update to IE9 which doesn't work with XP

Reported by: nikolay.yordanov Owned by:
Milestone: Priority: normal
Severity: normal Version: 3.2
Component: Administration Keywords:
Focuses: Cc:


When a user opens wp-admin with IE8 on XP Browse happy suggests that the browser should be updated to IE9, which is impossible. Is there a way to make it that it shows only the "browse happy" link? The exact problem will happen when IE10 comes out and MS drop support for Vista.

Change History (4)

#1 @SergeyBiryukov
4 years ago

This is actually expected behavior, according to Nacin's comment on support forums thread:

If you're running a browser that is not the latest major version, you will get a warning. The same goes for IE8, Firefox 4, Opera 10, Safari 4. For IE6 and IE7, we're particularly harsh.

#2 @nikolay.yordanov
4 years ago

I understand that it is the expected behaviour, but I am raising the question if it is the best we can do. Telling the users to update/change their browser is one thing, but we can't force them to update/change an OS.

#3 @SergeyBiryukov
4 years ago

Windows XP probably also can be considered obsolete, since its mainstream support was ended in 2009. I'm currently still on XP though :)

Users can dismiss the message in a single click, so I guess it's more like telling them to change their browser than like forcing them to update an OS.

Last edited 4 years ago by SergeyBiryukov (previous) (diff)

#4 @SergeyBiryukov
4 years ago

  • Milestone Awaiting Review deleted
  • Resolution set to duplicate
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.